Page MenuHomePhabricator

Verify @wikimediatech Twitter Account
Open, MediumPublic

Description

Note from Lucas Pasqual:
If you get rejected again, we can try contacting someone from Twitter. The Partnerships team may help! Let me know and I'll connect you with them.

Event Timeline

Aklapper renamed this task from Verify Twitter Account to Verify @wikimediatech Twitter Account.Mar 18 2022, 8:57 AM

Could someone please elaborate what happened ("rejected again"?) before the creation of this ticket? (Note that this ticket is public; for private stuff feel free to email me.) We are supposed to go through https://help.twitter.com/en/managing-your-account/about-twitter-verified-accounts#companies

I tried doing that a few months ago and it was rejected.

Aklapper triaged this task as Medium priority.EditedApr 26 2022, 6:20 AM
Aklapper added a subscriber: bd808.

Logged into @wikimediatech on Twitter. "Request verification" was available so I filled out Twitter's form:
"You’ll be contacted as soon as a decision has been made. This could take up to 14 days."
For verification the email address of the Twitter account will be used thus giving a heads-up to @bd808 here.
If nothing happens by 2022-05-11, go via WMF Partnerships (as explained in an email to @Aklapper on 2022-04-21).

Aklapper set Due Date to May 11 2022, 9:00 PM.Apr 26 2022, 6:20 AM

@bd808: Did you receive any email from Twitter in the last 14 days to your ...+wikimediatech@... email address? (I assume not.)

I assume no, so I emailed Twitter and CC'ed WMF Partnerships, Bryan, and Haley. Subject: "Verifying Wikimedia Foundation's @wikimediatech Twitter account"

@bd808: Did you receive any email from Twitter in the last 14 days to your ...+wikimediatech@... email address? (I assume not.)

I assume no, so I emailed Twitter and CC'ed WMF Partnerships, Bryan, and Haley. Subject: "Verifying Wikimedia Foundation's @wikimediatech Twitter account"

Your assumption was correct. I did a to:... in:anywhere search of my work gmail and found nothing new from Twitter.

Received an email reply from Twitter on 2022-05-12, asking to please try again on https://twitter.com/settings/account/request_verification .
Tried again at that time but got You can’t request verification right now. Your last request was denied on April 26. You’ll need to wait 30 days from that date to submit a new request.
As it's been 30 days, today (2022-05-28) I submitted another verification request around 08:08:00 UTC.
As requested by Twitter I've informed them afterwards via email (subject: Verifying Wikimedia Foundation's @wikimediatech Twitter account) about our resubmitted request, with @hlepp and WMF Partnerships CC'ed on my email.